| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__FeatureProfileListRequest Struct Reference
Feature Profile

Feature Profile List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__Paging * | Paging
| Standard paging structure. More...
unsp__BGName | BGName
| Filters for Feature Profiles under a specific Business Group. More...
unsp__FeatureProfileName | FeatureProfileName
| Filters for Feature Profiles with a specific Name. More...
xsd__boolean * | CombinedList
| Indicator to combine the switch-wide and Business Group Feature Profiles in the returned profile list. More...
struct unsp__FProfileListSorting * | FProfileListSorting
| Feature Profile Sorting Data. More...

## Detailed Description

Feature Profile List request.

Used by unsp__GetFeatureProfileList()

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__FeatureProfileListRequest::BGName

Filters for Feature Profiles under a specific Business Group.

required: false

See also
  unsp__BGName

## ◆ CombinedList

xsd__boolean* unsp__FeatureProfileListRequest::CombinedList

Indicator to combine the switch-wide and Business Group Feature Profiles in the returned profile list.

The following rules apply:

BGName | CombinedList | RetrievalList
--- | --- | ---
NULL | true | Switchwide + all BGs profile list
NULL | false | Switchwide List
BGName | true | Switchwide + BG-specific profile list
BGName | false | BG-specific profile list

required: false
default value[range]: false

## ◆ FeatureProfileName

unsp__FeatureProfileName unsp__FeatureProfileListRequest::FeatureProfileName

Filters for Feature Profiles with a specific Name.

required: false
default value[range]: NA [1..40]

## ◆ FProfileListSorting

struct unsp__FProfileListSorting* unsp__FeatureProfileListRequest::FProfileListSorting

Feature Profile Sorting Data.

required: false

## ◆ Paging

struct unsp__Paging* unsp__FeatureProfileListRequest::Paging

Standard paging structure.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h